package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.SocietyDevelop;
import com.lightinit.hsdatashow.entity.SocietyDevelopExample;
import java.util.List;

import com.lightinit.hsdatashow.model.admin.ChartModel;
import com.lightinit.hsdatashow.model.admin.ChartModel2;
import org.apache.ibatis.annotations.Param;

public interface SocietyDevelopMapper {
    long countByExample(SocietyDevelopExample example);

    int deleteByExample(SocietyDevelopExample example);

    int deleteByPrimaryKey(Long id);

    int insert(SocietyDevelop record);

    int insertSelective(SocietyDevelop record);

    List<SocietyDevelop> selectByExample(SocietyDevelopExample example);

    SocietyDevelop selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") SocietyDevelop record, @Param("example") SocietyDevelopExample example);

    int updateByExample(@Param("record") SocietyDevelop record, @Param("example") SocietyDevelopExample example);

    int updateByPrimaryKeySelective(SocietyDevelop record);

    int updateByPrimaryKey(SocietyDevelop record);

    List<ChartModel2> getSocietyDevelop();
}